Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-14621

Camel-spring-boot-starters have unnecessary JAX-B and JAX-WS dependencies on Java 11

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.1.0
    • Fix Version/s: 3.2.0
    • Labels:
      None
    • Estimated Complexity:
      Unknown
    • Regression:
      Regression

      Description

      In Version 3.1.0 every camel-spring-boot-starter has (a lot) of unnecessary JAX-B and JAX-WS dependencies when used with Java 11. E.g.:

      [INFO] +- org.apache.camel.springboot:camel-micrometer-starter:jar:3.1.0:compile
      [INFO] |  +- org.apache.camel:camel-micrometer:jar:3.1.0:compile
      [INFO] |  +- org.apache.camel.springboot:camel-spring-boot-starter:jar:3.1.0:compile
      [INFO] |  +- javax.annotation:javax.annotation-api:jar:1.3.2:compile
      [INFO] |  +- javax.xml.ws:jaxws-api:jar:2.3.1:compile
      [INFO] |  +- jakarta.xml.bind:jakarta.xml.bind-api:jar:2.3.2:compile
      [INFO] |  |  \- jakarta.activation:jakarta.activation-api:jar:1.2.1:compile
      [INFO] |  +- org.apache.geronimo.specs:geronimo-ws-metadata_2.0_spec:jar:1.1.3:compile
      [INFO] |  +- com.sun.xml.messaging.saaj:saaj-impl:jar:1.5.1:compile
      [INFO] |  |  +- jakarta.xml.soap:jakarta.xml.soap-api:jar:1.4.1:compile
      [INFO] |  |  \- org.jvnet.mimepull:mimepull:jar:1.9.12:compile
      [INFO] |  +- org.apache.geronimo.specs:geronimo-jta_1.1_spec:jar:1.1.1:compile
      [INFO] |  +- org.jboss.spec.javax.rmi:jboss-rmi-api_1.0_spec:jar:1.0.6.Final:compile
      [INFO] |  +- org.glassfish.jaxb:jaxb-runtime:jar:2.3.2:compile
      [INFO] |  |  +- org.glassfish.jaxb:txw2:jar:2.3.2:compile
      [INFO] |  |  +- com.sun.istack:istack-commons-runtime:jar:3.0.8:compile
      [INFO] |  |  +- org.jvnet.staxex:stax-ex:jar:1.8.1:compile
      [INFO] |  |  \- com.sun.xml.fastinfoset:FastInfoset:jar:1.2.16:compile
      [INFO] |  \- javax.xml.soap:javax.xml.soap-api:jar:1.4.0:compile
      

      It is the same for other starters.

      I think the cause is that the Java9+ profile of the camel-spring-boot/pom.xml (see: https://github.com/apache/camel-spring-boot/blob/5c8d1e30fe8df62382a264def38c9d827bd8cfb9/pom.xml#L765) which is an ancestor of every camel-spring-boot-stater adds the JAX-WS and JAX-B dependencies.

      This wasn't the case in Camel 3.0.1/3.0.0/2.24.0.

        Attachments

          Activity

            People

            • Assignee:
              pascalschumacher Pascal Schumacher
              Reporter:
              pascalschumacher Pascal Schumacher
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: